Find the answer to your Linux question:
Results 1 to 9 of 9
I had a problem with printing photo's etc and now I seem to have made it worse. At the start, no two pictures would print the same. I thought it ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Newbie scutiform's Avatar
    Join Date
    May 2007
    Location
    Halifax West Yorkshire
    Posts
    132

    Printer not working with CUPS-gutenprint


    I had a problem with printing photo's etc and now I seem to have made it worse. At the start, no two pictures would print the same. I thought it was the CUPS-Gutenprint program that was miss-behaving so I downloaded the latest Gutenprint version 5.0.2. Now my printer won't print at all. The printer works okay with other computers.

    I tried to un-install all the foomatic gutenprint and cups programs I could find in the Synaptic manager lists, and then re-install from Synaptic, but I have no idea which ones have to be installed so I have now totally b***ed it. How can I re-install the correct files?
    The world is run by educated idiots - you can't argue with idiots, they have had years of practice.

  2. #2
    Linux User
    Join Date
    Sep 2008
    Location
    UK
    Posts
    358
    Try configuring cups from the web interface: Open Source and Linux Forums.
    You should be able to change the printer settings there.

  3. #3
    Linux Newbie scutiform's Avatar
    Join Date
    May 2007
    Location
    Halifax West Yorkshire
    Posts
    132
    I have done that, but I still have the problem with the printer. I have added two more printers to check for a printer hardware problem. Some print jobs just dissapear and others sit there. Checking the Document Print Status shows any printer condition as "Stopped".
    The world is run by educated idiots - you can't argue with idiots, they have had years of practice.

  4. #4
    Linux User
    Join Date
    Sep 2008
    Location
    UK
    Posts
    358
    What printer are you using? Try a search for the printer on the forum to see if anyone else has had the problem.

  5. #5
    Linux Newbie scutiform's Avatar
    Join Date
    May 2007
    Location
    Halifax West Yorkshire
    Posts
    132
    I have got a bit closer to sorting the printing problem. The version of Gutenprint software installed (5.2.3) does not match the PPD file (5.0.2 Simplified). Checking around I found the instuction “Install cups-genppdupdate.5.2” I can't find this program in Add/Remove or Synaptic. Apt-get install did not work either.
    If I try to install a new printer, all the drivers for the Epson stylus photoR300 are CUPS-Gutenprint 5.0.2 simplified. I get the option of loading my own PPD file. Can I get a 5.2.3 PPD file? Where on my system are PPD files stored?
    The world is run by educated idiots - you can't argue with idiots, they have had years of practice.

  6. #6
    Linux User
    Join Date
    Sep 2008
    Location
    UK
    Posts
    358
    Have a look at the cups site:
    Drivers - Common UNIX Printing System
    Gutenprint home:
    Gutenprint Printer Drivers
    I see you can dload 5.2.3 from them.
    drivers are in /usr/share/cups/model/printername
    (At least on suse they are)

  7. #7
    Linux Newbie scutiform's Avatar
    Join Date
    May 2007
    Location
    Halifax West Yorkshire
    Posts
    132
    Okay, got it sorted. Spent a lot of time looking at various sites and seeing messages like “the version of Gutenprint 5.3.2 does not match the PPD file 5.0.2 simplified” so I did the blindingly obvious and installed Gutenprint 5.0.2. I now have two versions of Gutenprint on my computer. Printing text files uses 5.0.2 but Gimp now gives me the choice of either print using standard 5.0.2 or print with Gutenprint which produces a far superior result. Things have worked out for the best, but could have ended in disaster.
    Thanks whych, for letting me use you as a sounding board.
    The world is run by educated idiots - you can't argue with idiots, they have had years of practice.

  8. #8
    Linux User
    Join Date
    Sep 2008
    Location
    UK
    Posts
    358
    Nearly said to you that the latest suse version is 5.02.x!
    Glad you got it sorted.
    I have a similar problem with a Samsung printer/scanner. The printer works, but the scanner is a problem. My gut feel tells me that although they cost more, hp is still the best for support.

  9. #9
    Just Joined!
    Join Date
    Jun 2009
    Posts
    2
    Quote Originally Posted by scutiform View Post
    Okay, got it sorted. Spent a lot of time looking at various sites and seeing messages like “the version of Gutenprint 5.3.2 does not match the PPD file 5.0.2 simplified” so I did the blindingly obvious and installed Gutenprint 5.0.2. I now have two versions of Gutenprint on my computer. Printing text files uses 5.0.2 but Gimp now gives me the choice of either print using standard 5.0.2 or print with Gutenprint which produces a far superior result. Things have worked out for the best, but could have ended in disaster.
    Thanks whych, for letting me use you as a sounding board.


    debian. in cups http control panel we have error :

    " 3600 "Gutenprint: The version of Gutenprint software installed (5.2.3) does not match the PPD file (5.0.2)." "

    the solution :

    #apt-get install ijsgutenprint

    #apt-get install foomatic-db

    #apt-get install cups-driver-gutenprint


    but i suppose that only

    #apt-get install cups-driver-gutenprint

    is really needed.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •